function [res] = cusum_plot(y,graph)
if(nargin<2)
    graph =0;
end
dim = size(y);
mu = zeros(dim(1,2),1);
variance = zeros(dim(1,2),1);
cusum = zeros(dim(1,1),dim(1,2));
for i=1:dim(1,2)
    mu(i) = mean(y(:,i));
    variance(i) = var(y(:,i));
    if(variance(i)<0.00001)
        cusum(:,i) = (cumsum(y(:,i))./(1:dim(1,1))'-ones(dim(1,1),1)*mu(i));
    else
        cusum(:,i) = (cumsum(y(:,i))./(1:dim(1,1))'-ones(dim(1,1),1)*mu(i))/(sqrt(variance(i)));
    end
    
end
res.variance = variance;
res.mu = mu;
res.cusum = cusum;
res.Zero_line = zeros(dim(1,1),1);        
res.One_line = -0.25*ones(dim(1,1),1);
if(graph==1)
    for z=1:dim(1,2)
        subplot(ceil(0.5*dim(1,2)),2,z),plot(cusum(:,z)),title(['Cusum plot of the random variable number : ' num2str(z)]);
    end
end
